Extract voiceprint
curl --request POST \
--url https://api.pyannote.ai/v1/voiceprint \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/voice.wav",
"model": "precision-2",
"webhook": "https://example.com/webhook",
"webhookStatusOnly": true
}
'import requests
url = "https://api.pyannote.ai/v1/voiceprint"
payload = {
"url": "https://example.com/voice.wav",
"model": "precision-2",
"webhook": "https://example.com/webhook",
"webhookStatusOnly": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/voice.wav',
model: 'precision-2',
webhook: 'https://example.com/webhook',
webhookStatusOnly: true
})
};
fetch('https://api.pyannote.ai/v1/voiceprint', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "3c8a89a5-dcc6-4edb-a75d-ffd64739674d",
"status": "created",
"warning": "<string>"
}{
"message": "Invalid request",
"errors": [
{
"field": "url",
"message": "Invalid URL"
}
]
}{
"requestId": "37a4c3a0-b034-4e8c-9ed9-76da6645544a",
"message": "Error message"
}{
"requestId": "37a4c3a0-b034-4e8c-9ed9-76da6645544a",
"message": "Error message"
}Jobs
Submit Voiceprint Job
POST
/
v1
/
voiceprint
Extract voiceprint
This endpoint allows you to create a new voiceprint from a remote audio URL.
For a complete guide on creating and using voiceprints for speaker identification, see the Identification with Voiceprints tutorial.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
URL of the voiceprint audio file
Example:
"https://example.com/voice.wav"
Available options:
precision-2 Example:
"precision-2"
Webhook URL to receive voiceprint results (optional)
Example:
"https://example.com/webhook"
When true, webhook payload only includes jobId and status (excludes output). Useful for large payloads.
Example:
true
Was this page helpful?
⌘I